/*
 * Copyright 2019 Adobe
 * All Rights Reserved.
 *
 * NOTICE: Adobe permits you to use, modify, and distribute this file in
 * accordance with the terms of the Adobe license agreement accompanying
 * it. If you have received this file from a source other than Adobe,
 * then your use, modification, or distribution of it requires the prior
 * written permission of Adobe.
 */

const ServiceAccountCredentials = require('./service-account-credentials');
/**
 * Marker base class for different types of credentials. Currently it supports only {@link ServiceAccountCredentials}.
 * The factory methods within this class can be used to create instances of credentials classes.
 */
class Credentials {
	/**
	 * @hideconstructor
	 */
	constructor() {
	}

	/**
	 *
	 * Creates a new {@link ServiceAccountCredentials} builder.
 	 * @memberOf Credentials
	 * @function
	 * @returns {ServiceAccountCredentials} A new ServiceAccountCredentials instance.
	 *
	 */
	static serviceAccountCredentialsBuilder() {
		return new ServiceAccountCredentials.Builder();
	}
}

module.exports = Credentials;


